package com.playlet.system.mapper;

import java.util.List;

import com.playlet.system.domain.PlayletTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Date: 2024-03-21 23:47
 * @Author: 但星霖
 * @Version: v1.0
 * @Description: 任务Mapper接口
 */
public interface PlayletTaskMapper extends BaseMapper<PlayletTask> {
    /**
     * 查询任务
     *
     * @param id 任务主键
     * @return 任务
     */
    PlayletTask selectPlayletTaskById(Long id);

    /**
     * 查询任务列表
     *
     * @param playletTask 任务
     * @return 任务集合
     */
    List<PlayletTask> selectPlayletTaskList(PlayletTask playletTask);

    /**
     * 查询任务列表 根据用户查询
     *
     * @param playletTask 任务
     * @return 任务集合
     */
    List<PlayletTask> selectPlayletTaskListByUser(PlayletTask playletTask);

    /**
     * 新增任务
     *
     * @param playletTask 任务
     * @return 结果
     */
    int insertPlayletTask(PlayletTask playletTask);

    /**
     * 修改任务
     *
     * @param playletTask 任务
     * @return 结果
     */
    int updatePlayletTask(PlayletTask playletTask);

    /**
     * 删除任务
     *
     * @param id 任务主键
     * @return 结果
     */
    int deletePlayletTaskById(Long id);

    /**
     * 批量删除任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deletePlayletTaskByIds(String[] ids);
}
